transformers-0.4.2.0: Concrete functor and monad transformers

Copyright | (c) Russell O'Connor 2009
License | BSD-style (see the file LICENSE)
Maintainer | libraries@haskell.org
Stability | experimental
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Control.Applicative.Backwards

Description

Making functors with an `Applicative` instance that performs actions in the reverse order.

Synopsis

- newtype Backwards f a = Backwards {
  - forwards :: f a
  }

# Documentation

newtype Backwards f a Source

The same functor, but with an `Applicative` instance that performs actions in the reverse order.

Constructors

Backwards |
Fields forwards :: f a

Instances

Functor f => Functor (Backwards f) | Derived instance.
Applicative f => Applicative (Backwards f) | Apply `f`-actions in the reverse order.
Foldable f => Foldable (Backwards f) | Derived instance.
Traversable f => Traversable (Backwards f) | Derived instance.
Alternative f => Alternative (Backwards f) | Try alternatives in the same order as `f`.
Show1 f => Show1 (Backwards f) |
Read1 f => Read1 (Backwards f) |
Ord1 f => Ord1 (Backwards f) |
Eq1 f => Eq1 (Backwards f) |
(Eq1 f, Eq a) => Eq (Backwards f a) |
(Ord1 f, Ord a) => Ord (Backwards f a) |
(Read1 f, Read a) => Read (Backwards f a) |
(Show1 f, Show a) => Show (Backwards f a) |